Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding
Interface LocalServiceBinder

All Known Implementing Classes:
  AnnotationLocalServiceBinder

    public interface LocalServiceBinder

Reads `LocalService` metadata given a Java class.

Author:
  Christian Bauer

Method Summary
`LocalService` | `read(Class<?> clazz)`
`LocalService` | `read(Class<?> clazz, ServiceId id, ServiceType type, boolean supportsQueryStateVariables, Class[] stringConvertibleTypes)`

Method Detail

### read

    LocalService read(Class<?> clazz)
                      throws LocalServiceBindingException

  Parameters:
    `clazz` - The Java class that is the source of the service metadata.
  Returns:
    The produced metadata.
  Throws:
    `LocalServiceBindingException` - If binding failed.

### read

    LocalService read(Class<?> clazz,
                      ServiceId id,
                      ServiceType type,
                      boolean supportsQueryStateVariables,
                      Class[] stringConvertibleTypes)
                      throws LocalServiceBindingException

  Parameters:
    `clazz` - The Java class that is the source of the service metadata.
    `id` - The pre-defined identifier of the service.
    `type` - The pre-defined type of the service.
    `supportsQueryStateVariables` - `true` if the service should support the deprecated "query any state variable value" action.
    `stringConvertibleTypes` - A list of Java classes which map directly to string-typed UPnP state variables.
  Returns:
    The produced metadata.
  Throws:
    `LocalServiceBindingException` - If binding failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.